"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      requestParam: {
        code: "",
        kailin_uid: "",
        work_userid: ""
      },
      alloRequest: false
    };
  },
  onLoad(param) {
    this.requestParam.kailin_uid = param.kailin_uid;
    this.requestParam.work_userid = param.work_userid;
  },
  onShow() {
    if (this.requestParam.kailin_uid && this.requestParam.work_userid) {
      this.alloRequest = true;
    }
  },
  methods: {
    getPhonenumber(re) {
      if (re.detail.errMsg != "getPhoneNumber:ok") {
        common_vendor.index.showToast({
          icon: "error",
          title: "授权失败"
        });
        return;
      }
      this.requestParam.code = re.detail.code;
      this.$http.request("api/work_bind/custom", this.requestParam, "post").then((re2) => {
        if (re2.code == "success") {
          common_vendor.index.setStorageSync("userLogin", re2.data);
          common_vendor.index.switchTab({ url: "/pages/user/index" });
        } else {
          common_vendor.index.showToast({
            title: re2.msg,
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_assets._imports_0$1,
    b: $data.alloRequest
  }, $data.alloRequest ? {
    c: common_vendor.o((...args) => $options.getPhonenumber && $options.getPhonenumber(...args))
  } : {}, {
    d: !$data.alloRequest
  }, !$data.alloRequest ? {} : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
