"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      //轮播图
      orderBannerList: [],
      //是否展示抽奖区域
      islotteryinfo: 0,
      //报单成功的商品信息
      productTitleInfo: []
    };
  },
  onLoad(option) {
    let productInfo = option.params;
    if (productInfo) {
      productInfo = decodeURIComponent(productInfo);
      productInfo = JSON.parse(productInfo);
      this.productTitleInfo = productInfo;
    }
  },
  onShow() {
    this.$http.request("/api/orders_banner/get_list").then((re) => {
      if (re.code === "success") {
        this.orderBannerList = re.data;
        this.islotteryinfo = this.orderBannerList.length;
      }
    });
  },
  methods: {
    navOrder() {
      common_vendor.index.redirectTo({
        url: "/pages/orders/index"
      });
    },
    navHome() {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    },
    navLottery(url) {
      if (!url)
        return;
      let link_url = encodeURIComponent(url);
      common_vendor.index.redirectTo({
        url: `/pages/webview/index?link_url=${link_url}`
      });
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: common_vendor.p({
      type: "checkmarkempty",
      size: "40",
      color: "#eeeeee"
    }),
    b: common_vendor.f($data.productTitleInfo, (item, index, i0) => {
      return {
        a: common_vendor.t(item.name),
        b: common_vendor.t(item.spec),
        c: common_vendor.t(item.price),
        d: index
      };
    }),
    c: common_vendor.o(($event) => $options.navOrder()),
    d: common_vendor.o(($event) => $options.navHome()),
    e: this.islotteryinfo
  }, this.islotteryinfo ? {
    f: common_vendor.f($data.orderBannerList, (item, index, i0) => {
      return {
        a: item.thumb,
        b: common_vendor.o(($event) => $options.navLottery(item.link_url), index),
        c: index
      };
    })
  } : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
