"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      userInfo: {
        username: "请登录",
        userpic: "../../static/icon/doctor.png",
        phone: "kailin",
        status: 0,
        city_id: 0
      },
      StatusBarHeight: 0,
      TitleBarHeight: 0,
      NavBarHerder: 0
    };
  },
  onLoad() {
  },
  onShow() {
    this.getStatusBarHeight();
    this.getTitleBarHeight();
    this.getNavBarHerder();
    if (!this.$checkAccess.alterLogin())
      return;
    this.$http.request("api/custom/get_info").then((callback) => {
      if (callback.code == "success") {
        if (!callback.data.userpic)
          callback.data.userpic = "../../static/icon/doctor.png";
        this.userInfo = callback.data;
        common_vendor.index.setStorageSync("userInfo", callback.data);
      }
    });
  },
  methods: {
    getStatusBarHeight() {
      let SYSTEM_INFO = common_vendor.index.getSystemInfoSync();
      this.StatusBarHeight = SYSTEM_INFO.statusBarHeight || 10;
    },
    getTitleBarHeight() {
      if (common_vendor.index.getMenuButtonBoundingClientRect) {
        let { top, height } = common_vendor.index.getMenuButtonBoundingClientRect();
        this.TitleBarHeight = height + (top - this.StatusBarHeight) * 2;
      } else {
        this.TitleBarHeight = 40;
      }
    },
    getNavBarHerder() {
      this.NavBarHerder = this.StatusBarHeight + this.TitleBarHeight;
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.StatusBarHeight + "px",
    b: $data.NavBarHerder + "px",
    c: $data.userInfo.userpic,
    d: common_vendor.t($data.userInfo.username),
    e: common_vendor.t($data.userInfo.phone),
    f: common_assets._imports_1,
    g: common_assets._imports_2$1,
    h: common_assets._imports_3$1,
    i: common_assets._imports_4,
    j: common_assets._imports_5,
    k: common_assets._imports_6,
    l: common_vendor.p({
      type: "star-filled",
      size: "40",
      color: "#fff"
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
