"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {};
  },
  methods: {
    getPhonenumber(re) {
      if (re.detail.errMsg != "getPhoneNumber:ok") {
        common_vendor.index.showToast({
          icon: "error",
          title: "授权失败"
        });
        return;
      }
      this.$http.request("api/wechat/phone_number", { code: re.detail.code }, "post").then((re2) => {
        if (re2.code == "success") {
          common_vendor.index.setStorageSync("userLogin", re2.data);
          common_vendor.index.switchTab({ url: "/pages/user/index" });
        } else {
          common_vendor.index.showToast({
            title: re2.msg,
            icon: "none"
          });
        }
      });
    },
    toPhoneLogin(re) {
      this.$http.request("api/wechat/phone_number", this.requestParam).then((re2) => {
        if (re2.code == "success") {
          common_vendor.index.setStorageSync("userLogin", re2.data);
          common_vendor.index.switchTab({ url: "/pages/user/index" });
        } else {
          common_vendor.index.showToast({
            title: re2.msg,
            icon: "none"
          });
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_assets._imports_0$1,
    b: common_vendor.o((...args) => $options.getPhonenumber && $options.getPhonenumber(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
