"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      userInfo: {
        username: "",
        userpic: "",
        phone: "",
        status: 0,
        company_status: 0
      }
    };
  },
  onLoad() {
    this.$http.request("api/custom/get_info").then((re) => {
      if (re.code == "success") {
        this.userInfo = re.data;
        if (!this.userInfo.userpic)
          this.userInfo.userpic = "../../static/icon/doctor.png";
      }
    });
  },
  onShow() {
  },
  methods: {
    outLogin() {
      common_vendor.index.showModal({
        title: "确认退出登录?",
        success(re) {
          if (re.confirm) {
            common_vendor.index.setStorageSync("userLogin", null);
            common_vendor.index.setStorageSync("userInfo", null);
            common_vendor.index.redirectTo({
              url: "/pages/login/index"
            });
          }
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.userInfo.userpic,
    b: common_vendor.t($data.userInfo.username),
    c: common_vendor.t($data.userInfo.phone),
    d: common_vendor.o(($event) => $options.outLogin())
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
