"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      StatusBarHeight: 0,
      TitleBarHeight: 0,
      NavBarHerder: 0
    };
  },
  onLoad() {
    this.getStatusBarHeight();
  },
  onShow() {
    this.getStatusBarHeight();
    this.getTitleBarHeight();
    this.getNavBarHerder();
  },
  methods: {
    getStatusBarHeight() {
      let SYSTEM_INFO = common_vendor.index.getSystemInfoSync();
      this.StatusBarHeight = SYSTEM_INFO.statusBarHeight || 10;
      console.log("我没有执行？");
    },
    getTitleBarHeight() {
      if (common_vendor.index.getMenuButtonBoundingClientRect) {
        let { top, height } = common_vendor.index.getMenuButtonBoundingClientRect();
        this.TitleBarHeight = height + (top - this.StatusBarHeight) * 2;
      } else {
        this.TitleBarHeight = 40;
      }
    },
    getNavBarHerder() {
      this.NavBarHerder = this.StatusBarHeight + this.TitleBarHeight;
    }
  }
};
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.StatusBarHeight + "px",
    b: $data.NavBarHerder + "px",
    c: common_assets._imports_0$1,
    d: common_assets._imports_1,
    e: common_assets._imports_2$1,
    f: common_assets._imports_3$1,
    g: common_assets._imports_4,
    h: common_assets._imports_5,
    i: common_assets._imports_6,
    j: common_vendor.p({
      type: "star-filled",
      size: "45",
      color: "#fff"
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
